#include <iostream.h>
void main()
{ long a;
int b,max1=-32001,br=0,max=-32001,max2=-32001,max3=-32001;
cin>>a;
for (int i=0;i<a;i++)
  {cin>>b;

  if (b>max){br=0; max=b;}
  if (b==max) br++;

   if (max3<=b) {max3=max2;max2=max1;max1=b;}
	 }

/*for (int i=0;i<a;i++)
{ cin>>b;
if (i==0) max1=b;
else
if (i==1) max2=b;
else
if (i==2) max3=b;
if (b>max1&&b<max2&&b<max3) max1=b;
else
if (b<max1&&b>max2&&b<max3) max2=b;
else
if (b<max1&&b<max2&&b>max3) max3=b;
else
if (b>max1&&b>max2&&b<max3) max2=b;
else
if (b<max1&&b>max2&&b>max3) max3=b;
else
if (b>max1&&b<max2&&b>max3) max3=b;
}                    */
if (br>2) if (max1!=max&&max2!=max||max2!=max&&max3!=max||max3!=max&&max1!=max||max1!=max||max2!=max||max3!=max||max1!=max&&max2!=max&&max3!=max) max1=max2=max3=max;
cout<<max1<<' '<<max2<<' '<<max3<<endl;
}